Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.gui
Class GUIProp

    java.lang.Object
      org.basex.core.AProp
          org.basex.gui.GUIProp

    public final class GUIProp

extends AProp

This class contains properties which are used in the GUI. They are initially read from and finally written to disk, except for the properties following the `SKIP` flag.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Field Summary
`static Object[]` | `COLORBLUE` Blue GUI color factor.
`static Object[]` | `COLORGREEN` Green GUI color factor.
`static Object[]` | `COLORRED` Red GUI color factor.
`static Object[]` | `COLORSLOC` Dialog location.
`static Object[]` | `COMMANDS` Last command inputs.
`static Object[]` | `EXECRT` Flag for realtime context switch.
`static Object[]` | `FILTERRT` Flag for realtime context switch.
`static Object[]` | `FONT` Default GUI Font.
`static Object[]` | `FONTSIZE` Font size.
`static Object[]` | `FONTSLOC` Dialog location.
`static Object[]` | `FONTTYPE` Font TYPE = plain, bold, italics).
`static Object[]` | `FSALL` Flag indicating the mapping of the complete disk.
`static Object[]` | `FSBACKING` Path to mapped file hierarchy.
`static Object[]` | `FSDBNAME` Name of the DeepFS database.
`static Object[]` | `FSMOUNT` Name of the mountpoint.
`static Object[]` | `GUILOC` GUI position.
`static Object[]` | `GUISIZE` GUI height.
`static Object[]` | `HELPLOC` Dialog location.
`static Object[]` | `HELPSIZE` Dialog size.
`static Object[]` | `JAVALOOK` Flag for Java look and feel.
`static Object[]` | `LAYOUT` GUI Layout.
`static Object[]` | `MAPALGO` Map algorithm.
`static Object[]` | `MAPATTS` Show attributes in treemap.
`static Object[]` | `MAPFS` Shows real file contents in the treemap.
`static Object[]` | `MAPLAYOUTLOC` Dialog location.
`static Object[]` | `MAPOFFSETS` Treemap Offsets.
`static Object[]` | `MAPWEIGHT` number of children <-> size weight in (0;100).
`static Object[]` | `MAXSTATE` Flag for maximized GUI window.
`static Object[]` | `MONOFONT` Default GUI Monospace Font.
`static Object[]` | `MOUSEFOCUS` Focus follows mouse.
`static Object[]` | `OPENPATH` Path for creating new databases.
`static Object[]` | `PLOTDOTS` Dot sizes in plot.
`static Object[]` | `PLOTXLOG` Logarithmic plot.
`static Object[]` | `PLOTYLOG` Logarithmic plot.
`static Object[]` | `QUERIES` Last XQuery files.
`static Object[]` | `SAVEPATH` Path for creating new XML Documents.
`static Object[]` | `SEARCH` Last keyword inputs.
`static Object[]` | `SEARCHMODE` Current input mode in global text field (Search, XQuery, Command).
`static Object[]` | `SERVERUSER` Server user.
`static Object[]` | `SHOWBUTTONS` Flag for displaying buttons in the GUI window.
`static Object[]` | `SHOWEXPLORE` Flag for activated query view.
`static Object[]` | `SHOWFOLDER` Flag for activated tree view.
`static Object[]` | `SHOWHELP` Flag for activated help view.
`static Object[]` | `SHOWINFO` Flag for activated info view.
`static Object[]` | `SHOWINPUT` Flag for displaying the text field in the GUI window.
`static Object[]` | `SHOWMAP` Flag for activated map view.
`static Object[]` | `SHOWMENU` Flag for displaying the menu in the GUI window.
`static Object[]` | `SHOWNAME` Flag for dissolving name attributes.
`static Object[]` | `SHOWPLOT` Flag for activated plot view.
`static Object[]` | `SHOWSTATUS` Flag for displaying the status bar in the GUI window.
`static Object[]` | `SHOWTABLE` Flag for activated table view.
`static Object[]` | `SHOWTEXT` Flag for activated result view.
`static Object[]` | `SHOWTREE` Flag for activated tree view.
`static Object[]` | `SHOWXQUERY` Flag for activated xquery view.
`static Object[]` | `SIMPLEFD` Flag for showing the simple file dialog.
`static Object[]` | `SKIP` The following options are not saved to disk; don't remove this flag.
`static Object[]` | `STOPPATH` Path for stopwords.
`static Object[]` | `XQPATH` Path for XQuery files.
`static Object[]` | `XQUERY` Last XQuery inputs.

Constructor Summary
`GUIProp()` Constructor.

Method Summary
`void` | `files(IO file)` Refreshes the list of recent query files.

Methods inherited from class org.basex.core.AProp
`get, invert, is, num, nums, object, set, set, set, set, set, set, strings, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FONT

    public static final Object[] FONT

  Default GUI Font.

### MONOFONT

    public static final Object[] MONOFONT

  Default GUI Monospace Font.

### FONTTYPE

    public static final Object[] FONTTYPE

  Font TYPE = plain, bold, italics).

### FONTSIZE

    public static final Object[] FONTSIZE

  Font size.

### COLORRED

    public static final Object[] COLORRED

  Red GUI color factor.

### COLORGREEN

    public static final Object[] COLORGREEN

  Green GUI color factor.

### COLORBLUE

    public static final Object[] COLORBLUE

  Blue GUI color factor.

### GUISIZE

    public static final Object[] GUISIZE

  GUI height.

### GUILOC

    public static final Object[] GUILOC

  GUI position.

### MAXSTATE

    public static final Object[] MAXSTATE

  Flag for maximized GUI window.

### SHOWBUTTONS

    public static final Object[] SHOWBUTTONS

  Flag for displaying buttons in the GUI window.

### SHOWINPUT

    public static final Object[] SHOWINPUT

  Flag for displaying the text field in the GUI window.

### SHOWSTATUS

    public static final Object[] SHOWSTATUS

  Flag for displaying the status bar in the GUI window.

### LAYOUT

    public static final Object[] LAYOUT

  GUI Layout.

### SHOWINFO

    public static final Object[] SHOWINFO

  Flag for activated info view.

### SHOWMAP

    public static final Object[] SHOWMAP

  Flag for activated map view.

### SHOWTABLE

    public static final Object[] SHOWTABLE

  Flag for activated table view.

### SHOWTEXT

    public static final Object[] SHOWTEXT

  Flag for activated result view.

### SHOWFOLDER

    public static final Object[] SHOWFOLDER

  Flag for activated tree view.

### SHOWEXPLORE

    public static final Object[] SHOWEXPLORE

  Flag for activated query view.

### SHOWPLOT

    public static final Object[] SHOWPLOT

  Flag for activated plot view.

### SHOWXQUERY

    public static final Object[] SHOWXQUERY

  Flag for activated xquery view.

### JAVALOOK

    public static final Object[] JAVALOOK

  Flag for Java look and feel.

### SHOWNAME

    public static final Object[] SHOWNAME

  Flag for dissolving name attributes.

### MOUSEFOCUS

    public static final Object[] MOUSEFOCUS

  Focus follows mouse.

### SIMPLEFD

    public static final Object[] SIMPLEFD

  Flag for showing the simple file dialog.

### SEARCHMODE

    public static final Object[] SEARCHMODE

  Current input mode in global text field (Search, XQuery, Command).

### FILTERRT

    public static final Object[] FILTERRT

  Flag for realtime context switch.

### EXECRT

    public static final Object[] EXECRT

  Flag for realtime context switch.

### MAPATTS

    public static final Object[] MAPATTS

  Show attributes in treemap.

### MAPOFFSETS

    public static final Object[] MAPOFFSETS

  Treemap Offsets.

### MAPALGO

    public static final Object[] MAPALGO

  Map algorithm.

### MAPWEIGHT

    public static final Object[] MAPWEIGHT

  number of children <-> size weight in (0;100).

### PLOTDOTS

    public static final Object[] PLOTDOTS

  Dot sizes in plot.

### PLOTXLOG

    public static final Object[] PLOTXLOG

  Logarithmic plot.

### PLOTYLOG

    public static final Object[] PLOTYLOG

  Logarithmic plot.

### MAPLAYOUTLOC

    public static final Object[] MAPLAYOUTLOC

  Dialog location.

### FONTSLOC

    public static final Object[] FONTSLOC

  Dialog location.

### COLORSLOC

    public static final Object[] COLORSLOC

  Dialog location.

### HELPLOC

    public static final Object[] HELPLOC

  Dialog location.

### HELPSIZE

    public static final Object[] HELPSIZE

  Dialog size.

### OPENPATH

    public static final Object[] OPENPATH

  Path for creating new databases.

### SAVEPATH

    public static final Object[] SAVEPATH

  Path for creating new XML Documents.

### XQPATH

    public static final Object[] XQPATH

  Path for XQuery files.

### STOPPATH

    public static final Object[] STOPPATH

  Path for stopwords.

### FSBACKING

    public static final Object[] FSBACKING

  Path to mapped file hierarchy.

### FSDBNAME

    public static final Object[] FSDBNAME

  Name of the DeepFS database.

### FSMOUNT

    public static final Object[] FSMOUNT

  Name of the mountpoint.

### FSALL

    public static final Object[] FSALL

  Flag indicating the mapping of the complete disk.

### COMMANDS

    public static final Object[] COMMANDS

  Last command inputs.

### SEARCH

    public static final Object[] SEARCH

  Last keyword inputs.

### XQUERY

    public static final Object[] XQUERY

  Last XQuery inputs.

### QUERIES

    public static final Object[] QUERIES

  Last XQuery files.

### SKIP

    public static final Object[] SKIP

  The following options are not saved to disk; don't remove this flag.

### SHOWMENU

    public static final Object[] SHOWMENU

  Flag for displaying the menu in the GUI window.

### SHOWHELP

    public static final Object[] SHOWHELP

  Flag for activated help view.

### SHOWTREE

    public static final Object[] SHOWTREE

  Flag for activated tree view.

### SERVERUSER

    public static final Object[] SERVERUSER

  Server user.

### MAPFS

    public static final Object[] MAPFS

  Shows real file contents in the treemap.

Constructor Detail

### GUIProp

    public GUIProp()

  Constructor.

Method Detail

### files

    public void files(IO file)

  Refreshes the list of recent query files.

  Parameters:
    `file` - new file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD